<nz-card class="main-init-line-card">
    <form [formGroup]="jobForm" nz-form>
        <div nz-row>
            <div nz-col nzSpan="12" class="main-init-line-card__left">
                <div class="title-input">
                    <span nz-typography class="main-init-line-card__left__label">Tên Job
                    </span>
                    <p class="required">*</p>
                </div>
                <nz-form-item>
                    <nz-form-control nzValidateStatus="" nzErrorTip="Vui lòng nhập tên Job">
                        <input nz-input class="main-init-line-card__center__input" placeholder="Nhập tên job" formControlName="jobName" [autoFocus]='true'/>
                    </nz-form-control>
                </nz-form-item>
            </div>
            <div nz-col nzSpan="12" class="main-init-line-card__center">
                <div class="title-input">
                    <span nz-typography class="main-init-line-card__center__label">Mô hình</span>
                    <p class="required">*</p>
                </div>
                <nz-form-item>
                    <nz-form-control nzValidateStatus="" nzErrorTip="Vui lòng chọn mô hình">
                        <nz-select class="main-init-line-card__left__select" nzPlaceHolder="Chọn mô hình" nzAllowClear formControlName="jobType" [nzDisabled]="disable || disabeJobType || jobShare?.job?.isAssign">
                            <nz-option nzValue="ORG" nzLabel="MH cứng"></nz-option>
                            <nz-option nzValue="PRJ" nzLabel="MH dự án"></nz-option>
                            <nz-option nzValue="DV" nzLabel="MH dịch vụ"></nz-option>
                        </nz-select>
                    </nz-form-control>
                </nz-form-item>
            </div>
        </div>
        <div nz-row>
            <div nz-col nzSpan="24" class="main-init-line-card__left">
                <div class="title-input">
                    <span nz-typography class="main-init-line-card__left__label">Tình trạng</span>
                    <p class="required">*</p>
                </div>
                <nz-form-item>
                    <nz-form-control nzValidateStatus="" nzErrorTip="Vui lòng chọn tình trạng">
                        <nz-select class="main-init-line-card__left__select" nzPlaceHolder="Chọn tình trạng" formControlName="flagStatus" [nzDisabled]="disableFlagStatus"
                            nzAllowClear>
                            <nz-option nzValue="1" nzLabel="Sử dụng"></nz-option>
                            <nz-option nzValue="0" nzLabel="Không sử dụng"></nz-option>
                        </nz-select>
                    </nz-form-control>
                </nz-form-item>
            </div>
        </div>
        <div nz-row>
            <div nz-col nzSpan="24" class="main-init-line-card__left">
                <div>
                    <span nz-typography class="main-init-line-card__left__label">Mô tả
                    </span>
                </div>
                <textarea rows="4" nz-input formControlName="description" [disabled]="disable"></textarea>
            </div>
        </div>
        <div class="main-init-line-card__footer">
            <mb-button *ngIf="!disable" (click)="closeModal()"
                       mbButtonText="{{'common.button.cancel' | translate}}" mbButtonAvailableStyle="BtnCancelHasBorder">
            </mb-button>
            <mb-button *ngIf="!disable" mbButtonType="NO_BORDER" (click)="validateRequest()" mbButtonSize="LARGE"[mbIsDisable]="disableBtn"
                       mbButtonText="{{'common.button.saveS' | translate}}" mbButtonAvailableStyle="PRIMARY">
            </mb-button>
        </div>
    </form>
</nz-card>
